Repository 32bit  Forum
Repository 64bit  Wiki

GSlacky-2.24.0 ready to download!

Questo forum raccoglie tutte le discussioni sul progetto Gnome Slacky (Gnome per Slackware).

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Gslacky usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Citare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

GSlacky-2.24.0 ready to download!

Messaggioda gohanz » ven ott 17, 2008 11:28

GSlacky 2.24.0 PulseAudio per Slackware 12.1 è pronto per il download! :p

http://linuxtracker.org/index.php?page= ... 27b1b1202f


Come vedete, per adesso c'è solo il Torrent :(


Questa versione introduce l'ultima stabile di GNOME la 2.22.4, rilasciata in Settembre.
Ci sono molte novità in questa versione.

1) Empathy il nuovo sistema GNOME di IM. Empathy è basato sul framework Telepathy http://telepathy.freedesktop.org/wiki.


2) Libcanberra e i temi audio. Da questa vesione GNOME non usa più ESD, ormai deprecato, per riprodurre i suoni di sistema e per l'anteprima sonora tramite Nautilus. Adesso la gestione degli effetti sonori viene gestita tramite libcanberra e Pulseaudio. I suoni stessi, adesso, possono essere installati come temi. Appunto come si poteva fare, anche nelle versioni precedenti, solo per l'aspetto grafico.
http://freedesktop.org/wiki/Specificati ... theme-spec

3) Pulseaudio da questa versione usa i gruppi di default "pulse-access" e "pulse-rt".
Nelle versioni precedenti di GSlacky era impostato come gruppo "audio"
Quindi per avere accesso al server, occorre aggiungere il proprio account al gruppo"pulse-access". Per avere accesso in real-time, occorre aggiungere il proprio account al gruppo"pulse-rt".
Quest'ultimo richiede un kernel compilato in high-resolution timers.


4) PolicyKit/Policykit-gnome/Console-kit. Questo è il nuovo sistema di gestione dei pemessi e della sicurezza introdotto in Gnome-2.22.4. Penso che sia stato pensato principalmente per essere usato con PAM. Però può essere compilato anche in modalità compatibile "shadow". Modalità usata da GSlacky. Probabilmente può dare problemi. Poi credo che vada contro con la filosofia "KISS" della Slackware.
Comunque questa è la scelta degli sviluppatori Gnome e noi la rispettiamo. Anche se avere un pc di casa che sembra contenere i segreti della NASA è un po esagerato.


5) Il sistema di stampa è stato potenziato, adesso system-config-printer usa direttamente hal-cups-utils per il riconoscimento delle stampanti.




6) Sono stati introdotti il framework Clutter e Conduit. Dichiarati, ora come dipendenze opzionali da Gnome.



7) Totem ha tutti i plugin attivati e supporta anche le uscite tv nvidia.


8) Nuova versione di Ekiga la 3.0.0. Adesso non usa più le Pwlib come backend, ma le nuove Ptlib.


9) Introduzione di Hamster-applet. Una simpatica Applet per il pannello che tiene traccia delle nostre attività quotidiane.



Per quanto riguarda i problemi e bug.


1) Ci sono problemi con alcuni programmi che usano gksu per acquisire i diritti di root. Ad esempio gksu /usr/bin/gnome-terminal. Forse è un conflitto con PolicyKit. So che stanno sviluppando gksu-policykit, ma ancora non è pronto.


2) Ho dovuto usare una versione precedente di GDM la 2.20.8. Questo perchè la 2.24.0 non compila senza PAM. Tra l'altro è l'unico componente di Gnome-2.24.0 che richiede espressamente le librerie PAM.
Putroppo la 2.20.8 pur funzionando, ha problemi con il selettore delle lingue. Quindi se si vuo impostare la lingua, occorre agire direttamente da /etc/lang.sh.


3) Lo splash-screen non funziona. Vabbè non è molto importante.


4) Gnome-settings-daemon non parte al primo boot. Incomincia a funzionare correttamente dal secondo avvio. Anche se può crashare saltuariamente. Nel caso basta riavviare il desktop.


5) PulseAudio si blocca dopo 40min circa di riproduzione continua dell'audio. Bug scoperto da poco. Ho detto Pulseaudio, ma non sono sicurissimo che il problema derivi dal server audio. Segnalerò la cosa.

6) Rimosso user-admin dal menu. User-admin che fa parte dei gnome-system-tools ha il brutto vizio di cambiare la home di root da /root a /home/root!
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: GSlacky-2.24.0 ready to download!

Messaggioda submax82 » ven ott 17, 2008 22:03

grandissssimo gohanz super pacchettizzatore instancabile =D> =D> =D>

:notworthy: ave o gohanz :notworthy:

:laughing8:
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Re: GSlacky-2.24.0 ready to download!

Messaggioda slucky » ven ott 17, 2008 23:03

io l'ho sempre detto...prima o poi gli dovremo fare un monumento a questo ragazzo per tutto il lavoro che si sobbarca da solo affinchè noi si possa continuare ad usare lo gnomo anche su mamma Slackware.....gohanz sei mitico!!! :thumbright:

ciao e saluti a tutti :D
"...and what exactly is a dream....and what exactly is a joke."

"Jugband Blues" ( Syd Barrett )
Avatar utente
slucky
Iper Master
Iper Master
 
Messaggi: 2377
Iscritto il: mar mag 01, 2007 14:30
Slackware: 12.0 / 14.1
Kernel: default
Desktop: gslacky / xfce

Re: GSlacky-2.24.0 ready to download!

Messaggioda Bart » sab ott 18, 2008 11:00

Complimenti Gohanz.
Tu dici:
2) Ho dovuto usare una versione precedente di GDM la 2.20.8. Questo perchè la 2.24.0 non compila senza PAM. Tra l'altro è l'unico componente di Gnome-2.24.0 che richiede espressamente le librerie PAM.
Perché allora non includere PAM?
Bart
Staff
Staff
 
Messaggi: 4248
Iscritto il: dom ago 08, 2004 23:00
Località: Rimini

Re: GSlacky-2.24.0 ready to download!

Messaggioda 6C33C » sab ott 18, 2008 18:36

Me ne sono accoto solo ora dell' uscita del nuovo gnomo ....
straquoto submax
grandissssimo gohanz super pacchettizzatore instancabile =D> =D> =D>

:notworthy: ave o gohanz :notworthy:


grazie ancora :D
Avatar utente
6C33C
Packager
Packager
 
Messaggi: 254
Iscritto il: gio ott 12, 2006 15:09
Località: Rimini
Nome Cognome: Giorgio
Slackware: 14.0 x86_64
Kernel: 3.9.7
Desktop: kde 4.10.4 ,razorqt

Re: GSlacky-2.24.0 ready to download!

Messaggioda gohanz » sab ott 18, 2008 18:55

Bart ha scritto:Complimenti Gohanz.
Tu dici:
2) Ho dovuto usare una versione precedente di GDM la 2.20.8. Questo perchè la 2.24.0 non compila senza PAM. Tra l'altro è l'unico componente di Gnome-2.24.0 che richiede espressamente le librerie PAM.
Perché allora non includere PAM?


La scelta di non includere PAM è dovuta al fatto che si vuol mantenere GSlacky il meno intrusivo possibile. Installando PAM si apporterebbero modifiche essenziali al sistema di base. Dropline è una distribuzione Gnome che installa PAM. Ricordo che ci sono state grosse discussioni a riguardo e la scelta degli sviluppatori Slackware, è stata categorica nella scelta di non includere PAM.
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: GSlacky-2.24.0 ready to download!

Messaggioda Bart » sab ott 18, 2008 19:12

Non discuto, ovviamente avrai pesato entrambe le soluzioni. ;)
Bart
Staff
Staff
 
Messaggi: 4248
Iscritto il: dom ago 08, 2004 23:00
Località: Rimini

Re: GSlacky-2.24.0 ready to download!

Messaggioda bit123 » sab ott 18, 2008 22:12

Stavolta i complimenti te li faccio io. Saluti!
bit123
Linux 2.4
Linux 2.4
 
Messaggi: 350
Iscritto il: dom nov 27, 2005 16:26
Località: Catania

Re: GSlacky-2.24.0 ready to download!

Messaggioda Bart » sab ott 25, 2008 15:00

Gli amici di http://www.ossblog.it hanno pubblicato la notizia del rilascio di gslacky 2.24.0. =D> :thumbright:
http://www.ossblog.it/post/4495/gslacky ... -slackware
Bart
Staff
Staff
 
Messaggi: 4248
Iscritto il: dom ago 08, 2004 23:00
Località: Rimini

Re: GSlacky-2.24.0 ready to download!

Messaggioda gohanz » dom ott 26, 2008 19:03

Bart ha scritto:Gli amici di http://www.ossblog.it hanno pubblicato la notizia del rilascio di gslacky 2.24.0. =D> :thumbright:
http://www.ossblog.it/post/4495/gslacky ... -slackware



Grazie della segnalazione Bart! :thumbright:
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: GSlacky-2.24.0 ready to download!

Messaggioda Bart » dom ott 26, 2008 19:46

gohanz ha scritto:
Bart ha scritto:Gli amici di http://www.ossblog.it hanno pubblicato la notizia del rilascio di gslacky 2.24.0. =D> :thumbright:
http://www.ossblog.it/post/4495/gslacky ... -slackware



Grazie della segnalazione Bart! :thumbright:
Di nulla! ;)
Bart
Staff
Staff
 
Messaggi: 4248
Iscritto il: dom ago 08, 2004 23:00
Località: Rimini

Re: GSlacky-2.24.0 ready to download!

Messaggioda Paoletta » lun ott 27, 2008 9:31

sei un grande, grazie! =D> =D> =D>
Avatar utente
Paoletta
Staff
Staff
 
Messaggi: 3898
Iscritto il: dom apr 24, 2005 23:00
Località: Varese
Slackware: 13.1
Desktop: fluxbox

Re: GSlacky-2.24.0 ready to download!

Messaggioda gohanz » mer ott 29, 2008 21:48

Ecco una novità di GSlacky-2.24.1, anche se non so se sarà inserita. Il riconoscimento vocale in Inglese. In pratica si potrà pilotare Gnome attraverso il microfono con comandi basilari!

ImmagineImmagine
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: GSlacky-2.24.0 ready to download!

Messaggioda gohanz » gio ott 30, 2008 19:58

Le applicazioni alsa sembrano finalmente funzionare bene con Pulseaudio, tramite il plugin per ALSA. Anche l'ultimissima SVN di NetworkManager funziona e si connette! \:D/

ImmagineImmagine
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00


Torna a Gnome Slacky

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite

cron